from examples.import_dataset.luna.luna_record_provider import LunaRecordProvider
from sziszapangma.model.relation_manager import RelationManager, FileRelationManager


class RelationManagerProvider:
    _luna_record_provider: LunaRecordProvider

    def __init__(self, luna_record_provider: LunaRecordProvider):
        self._luna_record_provider = luna_record_provider

    def get_relation_manager(self, record_id: str) -> RelationManager:
        basic_path = self._luna_record_provider.get_path(record_id)[:-4]
        return FileRelationManager(f'{basic_path}_relations.csv', f'{basic_path}_items.json')
